%define tarball_version %{version}
%define rel 2


Name: 		kdevelop
Summary: 	Integrated Development Environment for C++/C
Version: 5.0.3
Release:        %mkrel %rel
Group:		Development/Tools
License:	GPLv2
URL:		http://www.kdevelop.org/
Source0:	http://download.kde.org/stable/kdevelop/%{version}/src/%{name}-%{tarball_version}.tar.xz
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	qttools5-assistant
BuildRequires:	kdevplatform-devel >= %{version}
BuildRequires:	kdevelop-pg-qt-devel >= 2.0.0
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5Declarative)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5ItemModels)
BuildRequires:	cmake(KF5ItemViews)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5KCMUtils)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5NewStuff)
BuildRequires:	cmake(KF5NotifyConfig)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5Service)
BuildRequires:	cmake(KF5TextEditor)
BuildRequires:	cmake(KF5ThreadWeaver)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	cmake(KF5Runner)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5SysGuard)
BuildRequires:	cmake(OktetaKastenControllers)
BuildRequires:	llvm-devel >= 3.9.1
BuildRequires:	clang >= 3.9.1
BuildRequires:	clang-devel >= 3.9.1

Requires:	cmake
Requires:	git
Requires:	gdb
Requires:	kdevplatform >= %{version}
Obsoletes:	kdevelop4 < 4:4.90.90
Obsoletes:	plasma-dataengine-kdevelopsessions < 4:4.90.90
Obsoletes:	plasma-applet-kdevelopsessions < 4:4.90.90
Provides:	kdevelop4 = 4:%{version}
Recommends:	bzr
Recommends:	ninja

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files -f %name.lang
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_appdatadir}/*.appdata.xml
%{_kf5_applicationsdir}/*.desktop
%{_kf5_bindir}/*
%{_kf5_datadir}/kdev*
%{_kf5_knotificationsdir}/kdevelop.notifyrc
%{_kf5_datadir}/plasma/plasmoids/kdevelopsessions
%{_kf5_datadir}/plasma/services/org.kde.plasma.dataengine.kdevelopsessions.operations
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_libdir}/libkdevcmakecommon.so
%{_kf5_libdir}/libKDevClangPrivate.so.*
%{_kf5_services}/kdevelopsessions.desktop
%{_kf5_services}/plasma-applet-kdevelopsessions.desktop
%{_kf5_services}/plasma-dataengine-kdevelopsessions.desktop
%{_qt5_plugindir}/kdevplatform/25/*.so
%{_qt5_plugindir}/krunner_kdevelopsessions.so
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_kdevelopsessions.so

#------------------------------------------------

%package	devel
Summary:	Development files for kdevelop
Group:		Development/KDE and Qt
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kdevelop4-devel < 4.90.90

%description	devel
Development files for kdevelop.

%files devel
%{_includedir}/kdevelop
%{_kf5_libdir}/cmake/KDevelop

#------------------------------------------------

%prep
%setup -qn %{name}-%{tarball_version}

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %name --all-name --with-html 


%changelog
* Sat Jan 07 2017 tmb <tmb> 5.0.3-2.mga6
+ Revision: 1080481
- rebuild with new llvm

* Fri Dec 30 2016 neoclust <neoclust> 5.0.3-1.mga6
+ Revision: 1078735
- New version 5.0.3

* Wed Sep 21 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1054863
- new version: 5.0.1

* Fri Aug 26 2016 daviddavid <daviddavid> 5.0.0-1.mga6
+ Revision: 1048976
- new version: 5.0.0 final

* Mon Mar 14 2016 tv <tv> 4.90.91-4.mga6
+ Revision: 990568
- rebuild for new clang

* Mon Feb 15 2016 daviddavid <daviddavid> 4.90.91-3.mga6
+ Revision: 960929
- kdevelop-devel requires kdevelop main package
- fix license

* Sat Jan 30 2016 dlucio <dlucio> 4.90.91-2.mga6
+ Revision: 929229
- fix some conditions for kdevplatform
- file list fixed

  + fwang <fwang>
    - 4.90.91

* Wed Jan 06 2016 tv <tv> 4.90.90-4.mga6
+ Revision: 920148
- rebuild for clang 3.7.1

* Tue Dec 01 2015 zezinho <zezinho> 4.90.90-3.mga6
+ Revision: 907541
- add recommends for bzr and ninja as there are bundled plugins for them

  + fwang <fwang>
    - add obsoletes

* Thu Oct 29 2015 fwang <fwang> 4.90.90-1.mga6
+ Revision: 896343
- add more br
- update file list
- add more br
- update spec file

  + neoclust <neoclust>
    - Move to kdevelop name

* Tue Feb 10 2015 lmenut <lmenut> 4:4.7.1-1.mga5
+ Revision: 814626
- Update to 4.7.1

* Wed Oct 15 2014 umeabot <umeabot> 4:4.7.0-3.mga5
+ Revision: 745595
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4:4.7.0-2.mga5
+ Revision: 681012
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 27 2014 fwang <fwang> 4:4.7.0-1.mga5
+ Revision: 668566
- 4.7.0

* Sat Aug 23 2014 fwang <fwang> 4:4.6.90-1.mga5
+ Revision: 666759
- update file list
- 4.6.90

* Tue Dec 10 2013 colin <colin> 4:4.6.0-1.mga4
+ Revision: 556197
- New version: 4.6.0

* Mon Nov 18 2013 fwang <fwang> 4:4.5.2-1.mga4
+ Revision: 551711
- new version 4.5.2

* Sat Oct 19 2013 umeabot <umeabot> 4:4.5.1-4.mga4
+ Revision: 530147
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 fwang <fwang> 4:4.5.1-3.mga4
+ Revision: 456320
- update br

* Sun Jun 30 2013 fwang <fwang> 4:4.5.1-2.mga4
+ Revision: 448578
- build with gold to make it faster

* Fri May 31 2013 fwang <fwang> 4:4.5.1-1.mga4
+ Revision: 433523
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 4:4.5.0-1.mga4
+ Revision: 425750
- update file list
- new version 3.5.0

* Sat Jan 12 2013 umeabot <umeabot> 4:4.4.1-2.mga3
+ Revision: 356054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4:4.4.1-1.mga3
+ Revision: 313226
- new version 4.4.1
- update rpm group

* Tue Oct 16 2012 fwang <fwang> 4:4.4.0-1.mga3
+ Revision: 307076
- new version 4.4.0

* Tue Sep 11 2012 fwang <fwang> 4:4.3.90-1.mga3
+ Revision: 292128
- new version 4.3.90

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-2.mga3
+ Revision: 278460
- update file list
- update fil elist

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-1.mga3
+ Revision: 278398
- update file list
- new version 4.3.80

* Sun Jul 08 2012 fwang <fwang> 4:4.3.1-2.mga3
+ Revision: 268811
- fix build with latest okteta

* Sun Apr 15 2012 fwang <fwang> 4:4.3.1-1.mga2
+ Revision: 230833
- new version 4.3.1

* Mon Mar 12 2012 fwang <fwang> 4:4.3.0-1.mga2
+ Revision: 222972
- new version 4.3.0 final

* Sat Feb 25 2012 fwang <fwang> 4:4.2.90-1.mga2
+ Revision: 214284
- new version 4.2.90

* Tue Feb 14 2012 fwang <fwang> 4:4.2.82-1.mga2
+ Revision: 208696
- new version 4.2.82

* Mon Jan 23 2012 fwang <fwang> 4:4.2.81-1.mga2
+ Revision: 200318
- update file list
- update file list
- drop merged patch
- new version 4.2.81

* Thu Dec 22 2011 fwang <fwang> 4:4.2.3-2.mga2
+ Revision: 185802
- update patch
- real patch
- fix typo
- add upstream patch to find okteta
- rebuild for new okteta

* Sat Jun 25 2011 mikala <mikala> 4:4.2.3-1.mga2
+ Revision: 113647
- Update tarball to 4.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Tue Apr 12 2011 mikala <mikala> 4:4.2.2-1.mga1
+ Revision: 83949
- Remove most of the requires (suggested by Kicer86)
- Remove old obsoletes

* Wed Apr 06 2011 mikala <mikala> 4:4.2.2-0.mga1
+ Revision: 81402
- Update tarball to 4.2.2

* Mon Mar 07 2011 mikala <mikala> 4:4.2.0-2.mga1
+ Revision: 66147
- Remove BuildRoot
- Drop old conflict
- imported package kdevelop4

